Subject: Re: bug#76935: 31.0.50; New frame ignores default-frame-alist

From: Jens Lechtenboerger <[email-masked]>
Date: Tue, 11 Mar 2025 18:51:42 +0100

On 2025-03-11, Eli Zaretskii wrote:

>> From: Jens Lechtenboerger <[email-masked]>
>> CC: <[email-masked]>
>> Date: Tue, 11 Mar 2025 15:06:34 +0100
>> 
>> On 2025-03-11, Eli Zaretskii wrote:
>> 
>> >> From: Jens Lechtenboerger <[email-masked]>
>> >> Date: Tue, 11 Mar 2025 10:12:47 +0100
>> >> 
>> >> on Emacs master (see below for details), `default-frame-alist' does
>> >> not seem to work any more.  From emacs -Q, new frames (C-x 5 2)
>> >> appear in small windows (dimensions are shown as 15x7 when I click
>> >> on a window corner for resizing).
>> >> 
>> >> After executing the following (from the doc string of
>> >> `default-frame-alist'), nothing changes when creating new frames,
>> >> new windows are still at 15x7:
>> >> 
>> >> (setq default-frame-alist '((width . 80) (height . 55) (menu-bar-lines . 1)))
>> >
>> > I cannot reproduce this.  Maybe this is specific to GTK?
>> 
>> Indeed.  With "./configure --with-x-toolkit=lucid" the problem does
>> not arise.
>
> Martin and Po Lu, any ideas what could cause this?  Some recent
> changes, perhaps?

One additional note: I did not only update Emacs but at the same
time I updated Ubuntu from 20.04 to 24.04.

Best wishes,
Jens